Create a contract enforcement level - Gable Docs

Create a Contract Enforcement Level

cURL Example

curl --request POST \
  --url https://demo-api.gable.ai/v0/contract/enforcement-level \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'```

### Python Example

```python
import requests

url = "https://demo-api.gable.ai/v0/contract/enforcement-level"

payload = { "contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API) Example

const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({contractId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://demo-api.gable.ai/v0/contract/enforcement-level', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo-api.gable.ai/v0/contract/enforcement-level",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'contractId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go Example

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://demo-api.gable.ai/v0/contract/enforcement-level"

payload := strings.NewReader(`{
  "contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}`)

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-KEY", "<api-key>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java Example

HttpResponse<String> response = Unirest.post("https://demo-api.gable.ai/v0/contract/enforcement-level")
  .header("X-API-KEY", "<api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"contractId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
  .asString();

Ruby Example

require 'uri'
require 'net/http'

url = URI("https://demo-api.gable.ai/v0/contract/enforcement-level")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"contractId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"

response = http.request(request)
puts response.read_body

Expected Responses

Sample Response (200)

{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "enforcementLevel": "INACTIVE"
}

Authorization

Body Parameters